Fork me on GitHub"

# skbio.diversity.alpha.mcintosh_e

skbio.diversity.alpha.mcintosh_e(counts)

  Calculate McIntosh’s evenness measure E.

  State: Experimental as of 0.4.0.

  McIntosh evenness measure E is defined as:

  \[E = \frac{\sqrt{\sum{n_i^2}}}{\sqrt{((N-S+1)^2 + S -1}}\]

  where \(n_i\) is the number of individuals in the \(i^{\text{th}}\) OTU, \(N\) is the total number of individuals, and \(S\) is the number of OTUs in the sample.

  Parameters:

    counts (1-D array_like, int) – Vector of counts.

  Returns:

    McIntosh evenness measure E.

  Return type:

    double

  See also

  `mcintosh_d`

  Notes

  The implementation here is based on the description given in [1], NOT the one in the SDR-IV online manual, which is wrong.

  References

  [1]

  Heip & Engels (1974) Comparing Species Diversity and Evenness Indices. p 560.